CLOCK(3)

NAME
clock - Determine processor time

SYNOPSIS
#include <time.h>

clock_t clock(void);

DESCRIPTION
The clock() function returns an approximation of processor time used by the program.

RETURN VALUE
The value returned is the CPU time used so far as a clock_t; to get the number of seconds used, divide by CLOCKS_PER_SEC.

CONFORMS TO
ANSI C

BUGS
The C standard allows for arbitrary values at the start of the program; take the difference between the value returned from a call to clock() at the start of the program and the end to get maximum portability.

The times() function call returns more information.

SEE ALSO
times(2)